using System;

internal sealed class Delegate50 : MulticastDelegate
{
	public extern string Invoke(string string_0, object object_0, object object_1, object object_2);

	public static string smethod_0(string string_0, object object_0, object object_1, object object_2, Delegate50 delegate50_1)
	{
		return delegate50_1(string_0, object_0, object_1, object_2);
	}

	public extern Delegate50(object object_0, IntPtr intptr_0);

	static Delegate50()
	{
		Class10.smethod_13(typeof(Delegate50).TypeHandle);
	}

	internal static Delegate50 delegate50_0;
}
